Package com.xebialabs.xlrelease.repository

# Class CiProperty

java.lang.Object
com.xebialabs.xlrelease.repository.CiProperty

public abstract class CiProperty extends Object

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CiProperty(ConfigurationItem rootCi, String fqPropertyExpression)`
  `protected`
  `CiProperty(CiProperty wrapped)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `exists()`
  `String`
  `getCategory()`
  `PropertyDescriptor`
  `getDescriptor()`
  `PropertyKind`
  `getKind()`
  `ConfigurationItem`
  `getParentCi()`
  `String`
  `getPropertyName()`
  `<T> T`
  `getValue()`
  `boolean`
  `isIndexed()`
  `boolean`
  `isPassword()`
  `static Optional<CiProperty>`
  `of(ConfigurationItem rootCi, String fqPropertyExpression)`
  `protected abstract void`
  `replaceInStrings(String variableKey, String replacement)`
  `void`
  `replaceInValue(Variable variable, VariableOrValue replacement)`
  `void`
  `setValue(Object value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CiProperty

    protected CiProperty(CiProperty wrapped)

  - ### CiProperty

    protected CiProperty(ConfigurationItem rootCi, String fqPropertyExpression)

- ## Method Details

  - ### of

    public static Optional<CiProperty> of(ConfigurationItem rootCi, String fqPropertyExpression)

  - ### getPropertyName

    public String getPropertyName()

  - ### getValue

    public <T> T getValue()

  - ### setValue

    public void setValue(Object value)

  - ### getParentCi

    public ConfigurationItem getParentCi()

  - ### getDescriptor

    public PropertyDescriptor getDescriptor()

  - ### getKind

    public PropertyKind getKind()

  - ### getCategory

    public String getCategory()

  - ### isPassword

    public boolean isPassword()

  - ### isIndexed

    public boolean isIndexed()

  - ### exists

    public boolean exists()

  - ### replaceInValue

    public void replaceInValue(Variable variable, VariableOrValue replacement)

  - ### replaceInStrings

    protected abstract void replaceInStrings(String variableKey, String replacement)